package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.service.IAdqAdvertiserInfoService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AdqAdvertiserGetJob {

    @Autowired
    private IAdqAdvertiserInfoService adqAdvertiserInfoService;

    @XxlJob("syncAdqAdvertiserInfo")
    public void execute() throws Exception {
        log.info("开始同步腾讯广告客户信息...");
        adqAdvertiserInfoService.syncAdvertiserInfo();
        log.info("同步腾讯广告客户信息完成");
    }
}
